import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_entity.g.dart';

@JsonSerializable()
class JobListEntity {
	int total = 0;
	List<JobListRows>? rows = [];

	JobListEntity();

	factory JobListEntity.fromJson(Map<String, dynamic> json) => $JobListEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListRows {
	@JSONField(name: "job_id")
	int jobId = 0;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "job_time")
	String? jobTime;
	@JSONField(name: "department_name")
	String? departmentName;
	@JSONField(name: "staff_show")
	String? staffShow;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "action_list")
	List<String>? actionList = [];

	JobListRows();

	factory JobListRows.fromJson(Map<String, dynamic> json) => $JobListRowsFromJson(json);

	Map<String, dynamic> toJson() => $JobListRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}